跳到正文

database_api.list_savings_withdrawals ​

since HF14

Purpose ​

返回储蓄提现(savings withdraw)列表。参数:start:object、limit:int、order:string

  • limit 最大 1000。
  • order 可取以下值:
    • by_from_id - 按 id 排序
      • start 为两个值组成的数组:account、request_id
    • by_complete_from_id - 按 id 排序(已完成)
      • start 为三个值组成的数组:timestamp、account、request_id
    • by_to_complete - 按完成情况排序
      • start 为三个值组成的数组:account、timestamp、order_id
start (object)limit (int)order (string)
[0]10"by_from_id"按 id 查询储蓄提现。
["2018-12-07T16:54:03", "steemit", 0]10"by_complete_from_id"按 id 查询储蓄提现(已完成)。
["", "1970-01-01T00:00:00", 0]10"by_to_complete"查询已完成的储蓄提现。

另见:Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_name"
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_savings_withdrawals",
    "params": {
      "start": [
        0
      ],
      "limit": 10,
      "order": "by_from_id"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_savings_withdrawals",
    "params": {
      "start": [
        "2018-12-07T16:54:03",
        "steemit",
        0
      ],
      "limit": 10,
      "order": "by_complete_from_id"
    },
    "id": 1
  }'

Example 3 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_savings_withdrawals",
    "params": {
      "start": [
        "",
        "1970-01-01T00:00:00",
        0
      ],
      "limit": 10,
      "order": "by_to_complete"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "withdrawals": [
    {
      "id": 120083,
      "from": "adafnnys",
      "to": "adafnnys",
      "memo": "",
      "request_id": 1543942411,
      "amount": {
        "amount": "2413",
        "precision": 3,
        "nai": "@@000000013"
      },
      "complete": "2018-12-07T16:54:03"
    }
  ]
}